Bug 961683 - BPMS dashbuilder uses non-standard log file location
BPMS dashbuilder uses non-standard log file location
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER2
: 6.0.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 05:26 EDT by Marek Winkler
Modified: 2014-08-06 16:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Approach for logging based on JCL/Log4J. Consequence: App did use its own log file based on Log4J. Fix: Migrate core logging service core to SLF4J Result: Now, the app uses an standarized approach for logging. JBoss logging service will be taken by SLF4J.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Winkler 2013-05-10 05:26:05 EDT
Description of problem:

BPMS dashbuilder application uses non-standard log file location /tmp/dashboard-builder-jboss.log. This might cause issues when backing up application logs in production use; more importantly, the default log location should be intuitive for the user.

Version-Release number of selected component (if applicable):

BPMS 6.0.0.DR4

How reproducible:

Deploy dashbuilder.war application and look for its log file.
 
Actual results:

Log file is located at /tmp/dashboard-builder-jboss.log.

Expected results:

Log file should be located under EAP domain or profile directory (e.g. standalone/log/).
Comment 1 Lukáš Petrovický 2013-05-10 05:28:16 EDT
Even more so, the app should log to the same file as any other app - server.log. Is it even using jboss-logging?
Comment 2 David Gutierrez 2013-07-16 13:53:25 EDT
Log4J has been completely removed and SLF4J has been taken instead.
Logging service is now provided by JBoss. 

Github commits:
https://github.com/droolsjbpm/dashboard-builder/commit/b351986016954b5c1366ad9b5d6d9a1c8e074d74
https://github.com/droolsjbpm/jbpm-dashboard/commit/a02b2e8649e5cfd5ee64a03a342716cef8f340c8
Comment 3 Jan Hrcek 2013-09-04 03:35:36 EDT
Verified with BPMS 6.0.0.ER2

Note You need to log in before you can comment on or make changes to this bug.